app_template:
    resource: "@AppBundle/Resources/config/routing/template_routing.yml"
    prefix: /template

app_filling:
    resource: "@AppBundle/Resources/config/routing/filling_routing.yml"
    prefix: /filling

app_template_attribute:
    resource: "@AppBundle/Resources/config/routing/template_attribute_routing.yml"
    prefix: /template-attribute

app_node:
    resource: "@AppBundle/Resources/config/routing/node_routing.yml"
    prefix: /node

app_modal:
    resource: "@AppBundle/Resources/config/routing/modal_routing.yml"
    prefix: /modal

app_field:
    resource: "@AppBundle/Resources/config/routing/field_routing.yml"
    prefix: /field

app_rule:
    resource: "@AppBundle/Resources/config/routing/rule_routing.yml"
    prefix: /rule
app_test:
    resource: "@AppBundle/Resources/config/routing/test_routing.yml"
    prefix: /test

app_dashboard:
    resource: "@AppBundle/Resources/config/routing/dashboard_routing.yml"
    prefix: /

# - Admin part -
companies_index:
    path: /companies/
    defaults: {_controller: AppBundle:Company:index}

companies_edit:
    path: /company/{companyId}
    defaults: {_controller: AppBundle:Company:edit}

user_index:
    path: /users/
    defaults: {_controller: AppBundle:User:index}

user_roles_edit:
    path: /users/edit/roles/{userId}
    defaults: {_controller: AppBundle:User:editRoles}

user_company_edit:
    path: /users/edit/company/{userId}
    defaults: {_controller: AppBundle:User:editCompany}

user_enable_edit:
    path: /users/edit/enable/{userId}/{isEnable}
    defaults: {_controller: AppBundle:User:editEnable}
    methods: GET
    requirements:
        isEnable: '(0|1)'

template_company_index:
    path: /templates/admin
    defaults: {_controller: AppBundle:TemplateAdmin:index}

template_company_edit:
    path: /template/edit/company/{templateId}
    defaults: {_controller: AppBundle:TemplateAdmin:edit}
# - end admin part -

cke_upload:
    path: /ckeditor/upload/{template_id}
    defaults: {_controller: AppBundle:CkEditor:fileBrowserImageDrop}
    options:
        expose: true
